gitit-0.12.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell98

Network.Gitit.Layout

Synopsis

- defaultPageLayout :: PageLayout
- defaultRenderPage :: StringTemplate String -> PageLayout -> Html -> Handler
- formattedPage :: PageLayout -> Html -> Handler
- filledPageTemplate :: String -> Config -> PageLayout -> Html -> StringTemplate String -> StringTemplate String
- uploadsAllowed :: Config -> Bool

# Documentation

defaultPageLayout :: PageLayout Source

defaultRenderPage :: StringTemplate String -> PageLayout -> Html -> Handler Source

Given a compiled string template, returns a page renderer.

formattedPage :: PageLayout -> Html -> Handler Source

Returns formatted page

filledPageTemplate :: String -> Config -> PageLayout -> Html -> StringTemplate String -> StringTemplate String Source

Returns a page template with gitit variables filled in.

uploadsAllowed :: Config -> Bool Source